%global flavor gcc32winthr

%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global oname globus-libtool
%global _name %(tr - _ <<< %{oname})

Name:		mingw32-%{oname}
Version:	1.2
Release:	1%{?dist}
Summary:	Globus Toolkit for MinGW - Globus libtool package

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
#		This package is a substitution for the upstream globus-libtool
#		package, which contains a copy of the libltdl library sources.
#		Instead this package provides the necessary metadata files to
#		allow grid-packaging-tools (GPT) to use the libltdl library
#		provided by the Fedora/RHEL distribution. The package source
#		is a single GPT source package description file, referencing
#		the libltdl library as an external library.
Source:		%{oname}-pkg_data_src.gpt.in
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	grid-packaging-tools
BuildRequires:	mingw32-globus-core
BuildRequires:	mingw32-filesystem

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus libtool package (virtual GPT glue package)

%prep
%setup -T -c
cp -p %{SOURCE0} pkg_data_src.gpt.in

%build
LIBTOOL_VERSION=`libtoolize --version | head -1 | sed 's!.* !!'`

# The windows version of the globus toolkit does not use libltdl so remove it
sed -e "s!@LIBTOOL_VERSION@!$LIBTOOL_VERSION!g" -e 's/-lltdl//g' \
  < pkg_data_src.gpt.in > pkg_data_src.gpt

echo /share/globus/packages/%{_name}/%{flavor}_rtl.filelist > \
  %{flavor}_rtl.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_rtl.gpt >> \
  %{flavor}_rtl.filelist

echo /share/globus/packages/%{_name}/%{flavor}_dev.filelist > \
  %{flavor}_dev.filelist
echo /share/globus/packages/%{_name}/pkg_data_%{flavor}_dev.gpt >> \
  %{flavor}_dev.filelist

%{_sbindir}/gpt_generate_bin_pkg_data --flavor=%{flavor} pkg_data_src.gpt

%install
rm -rf $RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_mingw32_datadir}/globus/packages

mkdir -p $GLOBUSPACKAGEDIR/%{_name}

install -m 644 pkg_data_%{flavor}_rtl.gpt %{flavor}_rtl.filelist \
  $GLOBUSPACKAGEDIR/%{_name}
install -m 644 pkg_data_%{flavor}_dev.gpt %{flavor}_dev.filelist \
  $GLOBUSPACKAGEDIR/%{_name}

# Generate pkg-config file from GPT metadata
mkdir -p $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig
%{_mingw32_datadir}/globus/mingw32-globus-gpt2pkg-config \
  pkg_data_%{flavor}_dev.gpt > \
  $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig/%{oname}.pc

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_mingw32_prefix}! > package.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_mingw32_datadir}/globus
%dir %{_mingw32_datadir}/globus/packages
%dir %{_mingw32_datadir}/globus/packages/%{_name}
%{_mingw32_libdir}/pkgconfig/%{oname}.pc

%changelog
* Wed May 06 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2-1
- Autogenerated
